> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# List gross-to-net report.

GET https://api.letsdeel.com/rest/gp/reports/{id}/gross_to_net

Returns paginated gross-to-net calculation records for the specified payroll report, with optional currency conversion applied to the results.

 **Token scopes**: `global-payroll:read`

Reference: https://developer.deel.com/api/endpoints/reports/get-gp-report-gross-to-net

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `id` (string, required) — Id of the gp payroll report.

### Query parameters

- `currency` (string, optional) — Currency to be used in the report calculation.
- `limit` (double, optional) — Maximum number of records to return.
- `offset` (double, optional) — Offset/index of record for the next page of records to return.

## Response

### 200

Successful operation.

- `data` (list of map from string to GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaDataItems, required) — List of report rows (summary rows are filtered out). Each row contains dynamic column keys mapped to cell objects.
- `page` (GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaPage, required) — Pagination metadata for the report rows.

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaErrorsItems, optional)
- `request` (GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaRequest, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaDataItems

A cell value object for a given column.

- `type` (string, required) — Cell type used for rendering/formatting.
- `label` (string, required) — Human-readable label of the column for this cell.
- `compareValue` (any, optional) — Raw value for the comparison period, if applicable.
- `currentValue` (any, optional) — Raw value for the current period. Type varies by column (string/number/null/etc).
- `percentageDiff` (any, optional) — Percentage difference between current and comparison values, if applicable.
- `formattedCurrentValue` (any, optional) — Formatted value for display purposes.

### GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaPage

Pagination metadata for the report rows.

- `limit` (double, required) — Maximum number of rows returned per page.
- `offset` (double, required) — Zero-based offset of the first returned row.
- `total_rows` (double, required) — Total number of rows available across all pages.

### GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaErrorsItems

- `path` (string, optional) — The JSON path where input validation failed
- `message` (string, optional) — A description of the returned error

### GpReportsIdGrossToNetGetResponsesContentApplicationJsonSchemaRequest

- `url` (string, optional) — The relative URL of the failed request
- `code` (double, optional) — The code of the source handler which produced the returned error
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `method` (string, optional) — The HTTP method of the failed request
- `source` (string, optional) — The source handler which produced the returned error
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": [
    {
      "employeeName": {
        "type": "text",
        "label": "Employee Name",
        "compareValue": null,
        "currentValue": "Lucio Hills",
        "percentageDiff": null,
        "formattedCurrentValue": "Lucio Hills"
      },
      "grossPay": {
        "type": "currency",
        "label": "Gross Pay",
        "compareValue": null,
        "currentValue": 6726.23,
        "percentageDiff": null,
        "formattedCurrentValue": "$6726.23"
      }
    }
  ],
  "page": {
    "limit": 50,
    "offset": 0,
    "total_rows": 95
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net"

querystring = {"currency":"USD","limit":"50","offset":"50"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/gp/reports/clbuuabvg63543201r3310y322c/gross_to_net?currency=USD&limit=50&offset=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```